## ktorrent 3.1.2+dfsg.1

=== libktcore/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(libktorrent_SRC 
	util/mmapfile.cpp	
	
	interfaces/functions.cpp
	interfaces/plugin.cpp
	interfaces/guiinterface.cpp
	interfaces/coreinterface.cpp
	interfaces/prefpageinterface.cpp
	
	torrent/queuemanager.cpp
	torrent/torrentfilemodel.cpp
	torrent/torrentfiletreemodel.cpp
	torrent/torrentfilelistmodel.cpp
	
	groups/group.cpp
	groups/torrentgroup.cpp
	groups/allgroup.cpp
	groups/downloadgroup.cpp
	groups/uploadgroup.cpp
	groups/activedownloadsgroup.cpp  
	groups/activegroup.cpp  
	groups/activeuploadsgroup.cpp
	groups/inactivedownloadsgroup.cpp  
	groups/inactivegroup.cpp  
	groups/inactiveuploadsgroup.cpp
	groups/queueddownloadsgroup.cpp  
	groups/queueduploadsgroup.cpp  
	groups/userdownloadsgroup.cpp  
	groups/useruploadsgroup.cpp
	groups/ungroupedgroup.cpp
	groups/groupmanager.cpp

	ktorrent.kcfg
	pluginmanager.cpp
	pluginmanagerprefpage.cpp
)

# set(libktorrent_UI pluginmanagerwidget.ui )

kde4_add_ui_files(libktorrent_SRC ${libktorrent_UI})
kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
kde4_add_library(ktcore SHARED ${libktorrent_SRC})

target_link_libraries(ktcore ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} btcore ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
set_target_properties(ktcore PROPERTIES VERSION 6.2.0 SOVERSION 6 )
install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== libktupnp/CMakeLists.txt ===
include_directories(${KTORRENT_SOURCE_DIR}/libktorrent)
include_directories(${CMAKE_KTORRENT_BINARY_DIR}/libktorrent)

set(libktupnp_SRC httprequest.cpp soap.cpp upnpdescriptionparser.cpp upnpmcastsocket.cpp upnprouter.cpp)

kde4_add_library(ktupnp SHARED ${libktupnp_SRC})

target_link_libraries(ktupnp ktcore)
set_target_properties(ktupnp PROPERTIES VERSION 3.2.0 SOVERSION 3 )
install(TARGETS ktupnp  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
add_subdirectory( ar )
add_subdirectory( be )
add_subdirectory( bg )
add_subdirectory( ca )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( eu )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hi )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( km )
add_subdirectory( lt )
add_subdirectory( lv )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( nn )
add_subdirectory( oc )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( se )
add_subdirectory( sk )
add_subdirectory( sl )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== plugins/webinterface/www/CMakeLists.txt ===
add_subdirectory(coldmilk)
add_subdirectory(default)
add_subdirectory(mobile)

## ktorrent 3.2.1+dfsg.1

=== libbtcore/CMakeLists.txt ===
#XFS prealloc
CHECK_INCLUDE_FILES(xfs/xfs.h HAVE_XFS_XFS_H)
IF(HAVE_XFS_XFS_H)
	SET(CMAKE_EXTRA_INCLUDE_FILES xfs/xfs.h)
	CHECK_TYPE_SIZE(__u64 HAVE___U64)
	CHECK_TYPE_SIZE(__s64 HAVE___S64)
	SET(CMAKE_EXTRA_INCLUDE_FILES)
ENDIF(HAVE_XFS_XFS_H)

# check for 64 bit file I/O functions
check_function_exists(fopen64 HAVE_FOPEN64)
check_function_exists(fseeko64 HAVE_FSEEKO64)
check_function_exists(fseeko HAVE_FSEEKO)
check_function_exists(ftello64 HAVE_FTELLO64)
check_function_exists(ftello HAVE_FTELLO)
check_function_exists(fstat64 HAVE_FSTAT64)
check_function_exists(stat64 HAVE_STAT64)
check_function_exists(ftruncate64 HAVE_FTRUNCATE64)
check_function_exists(lseek64 HAVE_LSEEK64)
check_function_exists(mmap64 HAVE_MMAP64)
check_function_exists(munmap64 HAVE_MUNMAP64)
check_function_exists(posix_fallocate64 HAVE_POSIX_FALLOCATE64)
check_function_exists(posix_fallocate HAVE_POSIX_FALLOCATE)
check_function_exists(statvfs HAVE_STATVFS)
check_function_exists(statvfs64 HAVE_STATVFS64)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-btcore.h.cmake ${CMAKE_BINARY_DIR}/config-btcore.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${QCA2_INCLUDE_DIR})


set(libbtcore_SRC 
	util/bitset.cpp
	util/timer.cpp
	util/urlencoder.cpp
	util/sha1hashgen.cpp
	util/sha1hash.cpp
	util/functions.cpp
	util/ptrmap.cpp
	util/array.cpp
	util/error.cpp
	util/file.cpp
	util/fileops.cpp
	util/log.cpp
	util/waitjob.cpp
	util/autorotatelogjob.cpp
	util/compressfilejob.cpp
	util/logsystemmanager.cpp
	
	bcodec/bdecoder.cpp  
	bcodec/bencoder.cpp  
	bcodec/bnode.cpp  
	bcodec/value.cpp

	net/address.cpp  
	net/bufferedsocket.cpp  
	net/portlist.cpp  
	net/socket.cpp  
	net/socketmonitor.cpp  
	net/speed.cpp
	net/uploadthread.cpp
	net/downloadthread.cpp
	net/networkthread.cpp
	net/socketgroup.cpp
	net/socks.cpp
	net/wakeuppipe.cpp
	
	mse/bigint.cpp  
	mse/functions.cpp  
	mse/rc4encryptor.cpp  
	mse/streamsocket.cpp
	mse/encryptedauthenticate.cpp
	mse/encryptedserverauthenticate.cpp
	
	peer/authenticatebase.cpp
	peer/authenticate.cpp
	peer/serverauthenticate.cpp
	peer/authenticationmonitor.cpp
	peer/chunkcounter.cpp
	peer/peerid.cpp
	peer/peer.cpp
	peer/peermanager.cpp
	peer/peerdownloader.cpp
	peer/peeruploader.cpp
	peer/packetwriter.cpp
	peer/packetreader.cpp
	peer/utpex.cpp
	peer/accessmanager.cpp
	peer/badpeerslist.cpp

	download/piece.cpp
	download/request.cpp
	download/packet.cpp
	download/webseed.cpp
	download/chunkdownload.cpp
	download/chunkselector.cpp
	download/downloader.cpp
	download/httpconnection.cpp

	interfaces/piecedownloader.cpp
	interfaces/peerinterface.cpp
	interfaces/peersource.cpp
	interfaces/torrentinterface.cpp
	interfaces/torrentfileinterface.cpp
	interfaces/trackerslist.cpp
	interfaces/logmonitorinterface.cpp
	interfaces/blocklistinterface.cpp
	interfaces/exitoperation.cpp
	interfaces/chunkdownloadinterface.cpp
	interfaces/monitorinterface.cpp
	interfaces/queuemanagerinterface.cpp
	interfaces/chunkselectorinterface.cpp
	interfaces/cachefactory.cpp
	interfaces/webseedinterface.cpp

	torrent/globals.cpp
	torrent/server.cpp
	torrent/torrent.cpp
	torrent/torrentfile.cpp
	torrent/peersourcemanager.cpp
	torrent/uploader.cpp
	torrent/timeestimator.cpp
	torrent/statsfile.cpp
	torrent/choker.cpp
	torrent/advancedchokealgorithm.cpp
	torrent/torrentcontrol.cpp
	torrent/torrentcreator.cpp

	dht/announcetask.cpp  
	dht/dht.cpp                
	dht/kclosestnodessearch.cpp  
	dht/nodelookup.cpp  
	dht/rpcmsg.cpp     
	dht/taskmanager.cpp
	dht/database.cpp      
	dht/dhttrackerbackend.cpp  
	dht/key.cpp                  
	dht/pack.cpp        
	dht/rpcserver.cpp
	dht/dhtbase.cpp       
	dht/kbucket.cpp            
	dht/node.cpp                 
	dht/rpccall.cpp     
	dht/task.cpp

	diskio/cache.cpp      
	diskio/chunk.cpp         
	diskio/dndfile.cpp         
	diskio/singlefilecache.cpp
	diskio/multifilecache.cpp
	diskio/preallocationthread.cpp
	diskio/movedatafilesjob.cpp
	diskio/deletedatafilesjob.cpp
	diskio/piecedata.cpp
	diskio/cachefile.cpp  
	diskio/chunkmanager.cpp  
	
	tracker/httptracker.cpp  
	tracker/tracker.cpp  
	tracker/udptracker.cpp  
	tracker/udptrackersocket.cpp
	
	datachecker/datachecker.cpp          
	datachecker/datacheckerthread.cpp  
	datachecker/singledatachecker.cpp
	datachecker/datacheckerlistener.cpp  
	datachecker/multidatachecker.cpp
	
	migrate/cachemigrate.cpp  
	migrate/ccmigrate.cpp  
	migrate/migrate.cpp
	
	btversion.cpp
)

if(WIN32)
# Compile stuff for windows
set(libbtcore_SRC ${libbtcore_SRC} util/win32.cpp)
endif(WIN32)


# kde4_add_ui_files(libbtcore_SRC ${libbtcore_UI})
# kde4_add_kcfg_files(libbtcore_SRC settings.kcfgc)
kde4_add_library(btcore SHARED ${libbtcore_SRC})


target_link_libraries(btcore ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${GMP_LIBRARIES} ${QCA2_LIBRARIES})
if(WIN32)
target_link_libraries(btcore ws2_32)
endif(WIN32)
set_target_properties(btcore PROPERTIES VERSION 10.0.0 SOVERSION 10 )
install(TARGETS btcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

set(net_HDR  
	./net/socks.h
	./net/bufferedsocket.h
	./net/downloadthread.h
	./net/address.h
	./net/socketgroup.h
	./net/portlist.h
	./net/networkthread.h
	./net/socket.h
	./net/speed.h
	./net/uploadthread.h
	./net/socketmonitor.h
)

set (mse_HDR 
	./mse/encryptedserverauthenticate.h
	./mse/functions.h
	./mse/rc4encryptor.h
	./mse/encryptedauthenticate.h
	./mse/bigint.h
	./mse/streamsocket.h
)

set (interfaces_HDR
	./interfaces/peerinterface.h
	./interfaces/queuemanagerinterface.h
	./interfaces/exitoperation.h
	./interfaces/chunkdownloadinterface.h
	./interfaces/trackerslist.h
	./interfaces/torrentinterface.h
	./interfaces/logmonitorinterface.h
	./interfaces/piecedownloader.h
	./interfaces/monitorinterface.h
	./interfaces/blocklistinterface.h
	./interfaces/torrentfileinterface.h
	./interfaces/peersource.h
	./interfaces/chunkselectorinterface.h
	./interfaces/cachefactory.h
	./interfaces/webseedinterface.h
)

set (peer_HDR
	./peer/peeruploader.h
	./peer/packetwriter.h
	./peer/peer.h
	./peer/peermanager.h
	./peer/authenticatebase.h
	./peer/authenticate.h
	./peer/utpex.h
	./peer/packetreader.h
	./peer/authenticationmonitor.h
	./peer/peerid.h
	./peer/peerdownloader.h
	./peer/chunkcounter.h
	./peer/serverauthenticate.h
	./peer/accessmanager.h
)
	
set (util_HDR
	./util/autorotatelogjob.h
	./util/fileops.h
	./util/timer.h
	./util/ptrmap.h
	./util/log.h
	./util/waitjob.h
	./util/urlencoder.h
	./util/array.h
	./util/functions.h
	./util/file.h
	./util/constants.h
	./util/bitset.h
	./util/sha1hash.h
	./util/sha1hashgen.h
	./util/error.h
	./util/win32.h
	./util/logsystemmanager.h
)
	
set (download_HDR
	./download/chunkdownload.h
	./download/downloader.h
	./download/httpdownloader.h
	./download/request.h
	./download/piece.h
	./download/packet.h
	./download/chunkselector.h
)

set (btcore_HDR 
	btcore_export.h
	btversion.h
)
	
set (bcodec_HDR
	./bcodec/bencoder.h
	./bcodec/bnode.h
	./bcodec/bdecoder.h
	./bcodec/value.h
)
	
set (diskio_HDR  
	./diskio/cache.h
	./diskio/cachefile.h
	./diskio/singlefilecache.h
	./diskio/preallocationthread.h
	./diskio/movedatafilesjob.h
	./diskio/deletedatafilesjob.h
	./diskio/chunkmanager.h
	./diskio/dndfile.h
	./diskio/chunk.h
	./diskio/multifilecache.h
	./diskio/piecedata.h
)
	
set (torrent_HDR
	./torrent/torrent.h
	./torrent/advancedchokealgorithm.h
	./torrent/peersourcemanager.h
	./torrent/choker.h
	./torrent/server.h
	./torrent/torrentcontrol.h
	./torrent/uploader.h
	./torrent/torrentcreator.h
	./torrent/timeestimator.h
	./torrent/torrentfile.h
	./torrent/statsfile.h
	./torrent/globals.h
)
	
set (tracker_HDR
	./tracker/tracker.h
	./tracker/udptracker.h
	./tracker/udptrackersocket.h
	./tracker/httptracker.h
)

set (datachecker_HDR
	./datachecker/datacheckerthread.h
	./datachecker/datachecker.h
	./datachecker/singledatachecker.h
	./datachecker/datacheckerlistener.h
	./datachecker/multidatachecker.h
)

set (dht_HDR
	./dht/dhtbase.h
	./dht/rpcserver.h
	./dht/key.h
	./dht/pack.h
	./dht/rpcmsg.h
	./dht/dhttrackerbackend.h
	./dht/announcetask.h
	./dht/rpccall.h
	./dht/kclosestnodessearch.h
	./dht/dht.h
	./dht/node.h
	./dht/task.h
	./dht/nodelookup.h
	./dht/taskmanager.h
	./dht/kbucket.h
	./dht/database.h
)

set (migrate_HDR
	./migrate/ccmigrate.h
	./migrate/migrate.h
	./migrate/cachemigrate.h
)

install(FILES ${tracker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/tracker COMPONENT Devel)
install(FILES ${torrent_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/torrent COMPONENT Devel)
install(FILES ${diskio_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/diskio COMPONENT Devel)
install(FILES ${bcodec_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/bcodec COMPONENT Devel)
install(FILES ${net_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/net COMPONENT Devel)
install(FILES ${mse_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/mse COMPONENT Devel)
install(FILES ${interfaces_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/interfaces COMPONENT Devel)
install(FILES ${util_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/util COMPONENT Devel)
install(FILES ${peer_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/peer COMPONENT Devel)
install(FILES ${datachecker_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/datachecker COMPONENT Devel)
install(FILES ${dht_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/dht COMPONENT Devel)
install(FILES ${migrate_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/migrate COMPONENT Devel)
install(FILES ${download_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore/download COMPONENT Devel)
install(FILES ${btcore_HDR} DESTINATION ${INCLUDE_INSTALL_DIR}/libbtcore COMPONENT Devel)

=== libktcore/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(libktorrent_SRC 
	util/mmapfile.cpp
	util/itemselectionmodel.cpp
	
	interfaces/functions.cpp
	interfaces/plugin.cpp
	interfaces/guiinterface.cpp
	interfaces/coreinterface.cpp
	interfaces/prefpageinterface.cpp
	
	torrent/queuemanager.cpp
	torrent/torrentfilemodel.cpp
	torrent/torrentfiletreemodel.cpp
	torrent/torrentfilelistmodel.cpp
	torrent/chunkbar.cpp 
	torrent/chunkbarrenderer.cpp
	
	groups/group.cpp
	groups/torrentgroup.cpp
	groups/allgroup.cpp
	groups/ungroupedgroup.cpp
	groups/groupmanager.cpp
	groups/functiongroup.cpp
	
	dbus/dbus.cpp
	dbus/dbustorrent.cpp
	dbus/dbusgroup.cpp

	ktorrent.kcfg
	pluginmanager.cpp
	pluginmanagerprefpage.cpp
)

# set(libktorrent_UI pluginmanagerwidget.ui )

kde4_add_ui_files(libktorrent_SRC ${libktorrent_UI})
kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
kde4_add_library(ktcore SHARED ${libktorrent_SRC})

target_link_libraries(ktcore ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} btcore ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
set_target_properties(ktcore PROPERTIES VERSION 9.0.0 SOVERSION 9 )
install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -2,20 +2,19 @@
 add_subdirectory( be )
 add_subdirectory( bg )
 add_subdirectory( ca )
+add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
 add_subdirectory( el )
 add_subdirectory( en_GB )
-add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
 add_subdirectory( eu )
-add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
 add_subdirectory( hi )
-add_subdirectory( hu )
+add_subdirectory( hne )
 add_subdirectory( it )
 add_subdirectory( ja )
 add_subdirectory( km )
@@ -34,6 +33,7 @@
 add_subdirectory( se )
 add_subdirectory( sk )
 add_subdirectory( sl )
+add_subdirectory( sr )
 add_subdirectory( sv )
 add_subdirectory( tr )
 add_subdirectory( uk )

=== plugins/infowidget/CMakeLists.txt ===
# Add an option to compile & link against system GeoIP (off by default)
option(WITH_SYSTEM_GEOIP 
	"Link InfoWidget plugin against system GeoIP library and use system-wide default GeoIP Country database"
	OFF)

if (WITH_SYSTEM_GEOIP)
	include(CheckIncludeFile)
	check_include_file("GeoIP.h" have_geoip_include)
	find_library(SYSTEM_GEOIP_LIBRARY "GeoIP")
	check_library_exists("GeoIP" "GeoIP_open_type" ${SYSTEM_GEOIP_LIBRARY} have_geoip_library)
	if (NOT have_geoip_include OR NOT have_geoip_library)
		set(WITH_SYSTEM_GEOIP OFF CACHE BOOL
		  "GeoIP development files could not be found on this system. Forcing this option to OFF"
		  FORCE)
		message(SEND_ERROR
		  "GeoIP library development files could not be found on your system. Embedding a local copy of GeoIP instead")
	endif(NOT have_geoip_include OR NOT have_geoip_library)
endif(WITH_SYSTEM_GEOIP)

if (WITH_SYSTEM_GEOIP)
	message(STATUS "   Linking InfoWidget against system GeoIP library")
	add_definitions( -DUSE_SYSTEM_GEOIP )
	set(geoip_link "GeoIP")
else(WITH_SYSTEM_GEOIP)
	message(STATUS "   Compiling GeoIP support directly into InfoWidget plugin")
	set(geoip_src GeoIP.c)
endif(WITH_SYSTEM_GEOIP)    

add_subdirectory(geoip)

set(ktinfowidgetplugin_SRC 
	infowidgetplugin.cpp 
	iwprefpage.cpp 
	monitor.cpp 
	availabilitychunkbar.cpp 
	downloadedchunkbar.cpp 
	statustab.cpp
	fileview.cpp
	peerview.cpp
	peerviewmodel.cpp
	chunkdownloadview.cpp
	chunkdownloadmodel.cpp
	trackerview.cpp
	trackermodel.cpp
	${geoip_src}
	flagdb.cpp
	iwfiletreemodel.cpp
	iwfilelistmodel.cpp
	webseedstab.cpp
	webseedsmodel.cpp)

kde4_add_ui_files(ktinfowidgetplugin_SRC iwprefpage.ui statustab.ui chunkdownloadview.ui trackerview.ui webseedstab.ui)
kde4_add_kcfg_files(ktinfowidgetplugin_SRC infowidgetpluginsettings.kcfgc)
kde4_add_plugin(ktinfowidgetplugin ${ktinfowidgetplugin_SRC})

target_link_libraries(
    ktinfowidgetplugin
    ktcore
    btcore
    ${KDE4_KPARTS_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    ${geoip_link}
    )
install(TARGETS ktinfowidgetplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES ktinfowidgetplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

## ktorrent 3.3.4+dfsg.1

=== debian/changelog ===
ktorrent (3.3.4+dfsg.1-1ubuntu2) lucid; urgency=low

  * Recommend krosspython (LP: #546719)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 22:09:59 +0200

ktorrent (3.3.4+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support
    - Add kubuntu_01_fix_videowidget_include.diff to fix FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 28 Feb 2010 23:22:08 +0100

ktorrent (3.3.4+dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #568850).

 -- Modestas Vainius <modax@debian.org>  Wed, 10 Feb 2010 23:19:48 +0200

ktorrent (3.3.3+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 18 Jan 2010 20:31:37 -0500

ktorrent (3.3.3+dfsg.1-1) unstable; urgency=low

  * New upstream release (Closes: #565678).
  * Update general/fix_target_link_libraries.diff patch.

 -- Modestas Vainius <modax@debian.org>  Mon, 18 Jan 2010 02:04:07 +0200

ktorrent (3.3.2+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Used versioned boost build-depend
    - Include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk in
      debian/rules for translations support

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 Dec 2009 09:46:17 -0500

ktorrent (3.3.2+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Sync ktorrent Debian menu icon with current upstream version.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Use "KDE platform" in the ktorrent package description rather than "KDE 4
    technology platform".
  * Use my @debian.org address in the Uploaders field.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Dec 2009 13:56:00 +0200

ktorrent (3.3.1+dfsg.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing remaining changes:
    - Build-depend directly on libboost-serialization1.40-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add in rules: include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk
    - Don't use dpkg-source 3.0 format
    - Add quilt to build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Dec 2009 19:17:41 +0100

ktorrent (3.3.1+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in ktorrent-data description (Closes: #557371).
  * Refresh patch general/fix_target_link_libraries.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 24 Nov 2009 14:11:18 +0200

ktorrent (3.3+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch to properly name stable tarballs.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 08 Nov 2009 23:39:57 +0200

ktorrent (3.3~rc1+svn1043995+dfsg.1-1) experimental; urgency=low

  * New upstream development snapshot (3.3rc1+svn1043995):
    * Fixes a couple of crashes.
    - Last Changed Author: guisson
    - Last Changed Rev: 1043995
    - Last Changed Date: 2009-11-02 22:00:03 +0200
    - Translations from 3.3rc1 tarball.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 07 Nov 2009 01:30:38 +0200

ktorrent (3.3~rc1+svn1041897+dfsg.1-1) experimental; urgency=low

  * New upstream development snapshot (3.3rc1+svn1041897):
    * Fixes very high CPU usage with DHT.
    - Last Changed Author: guisson
    - Last Changed Rev: 1041897
    - Last Changed Date: 2009-10-28 21:31:36 +0200
  * Refresh patches.
  * Switch to dpkg-source Format: 3.0 (quilt):
    - set debian/source/format to "3.0 (quilt)";
    - drop quilt from Build-Depends, no longer needed;
    - do not use quilt dh addon anymore;
    - adjust debian/README.source accordingly.

 -- Modestas Vainius <modestas@vainius.eu>  Wed, 28 Oct 2009 23:18:58 +0200

ktorrent (3.3~rc1+dfsg.1-1) experimental; urgency=low

  * New upstream development release.
    - sends proper "downloaded" data to tracker (Closes: #534576).
  * Merge 3.2.3.1+dfsg.1-1, 3.2.4+dfsg.1-1 and 3.2.5+dfsg.1-1 packaging.
  * Adapt general/fix_target_link_libraries patch to upstream changes.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 25 Oct 2009 17:11:37 +0200

ktorrent (3.3~beta1+dfsg.1-1) experimental; urgency=low

  * New upstream development release.
  * Merge 3.2.3+dfsg.1-1 packaging.

 -- Modestas Vainius <modestas@vainius.eu>  Tue, 11 Aug 2009 12:21:06 +0300

ktorrent (3.3~~svn975833-1) experimental; urgency=low

  * New upstream development snapshot:
    - Last Changed Author: guisson
    - Last Changed Rev: 975833
    - Last Changed Date: 2009-05-31 14:16:26 +0300
  * Change ktorrent-dbg section to debug.
  * Bump debhelper build depend to 7.0.50.
  * Bump Standards-Version to 3.8.1 (no changes needed).
  * Clean up prune-tarball: some files were removed upstream,
    there is no need to rm them.
  * Update ktorrent.install: add a shutdown plugin.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 01 Jun 2009 03:47:07 +0300

ktorrent (3.2.5+dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Build conflict with Qt 4.5.2 and drop patch
    debian/qt_4.5.2-1_phonon_ftbfs_fix.diff. The bug is fixed in Qt 4:4.5.3
    and later.
  * Merge old 3.1.x changelog entries from lenny: 3.1.2+dfsg.1-1,
    3.1.3+dfsg.1-1, 3.1.3+dfsg.2-1 and 3.1.4+dfsg.1-1.

 -- Modestas Vainius <modestas@vainius.eu>  Sun, 25 Oct 2009 16:15:03 +0200

ktorrent (3.2.4+dfsg.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Build-depend directly on libboost-serialization1.38-dev since
      libboost-serialization-dev from boost-defaults is not in Main
    - Add KUBUNTU_DESKTOP_POT to rules
    - Drop libphonon-dev


=== debian/control ===
Source: ktorrent
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
 kdelibs5-dev (>= 4:4.2.0), libphonon-dev (>= 4:4.3.0), kdepimlibs5-dev (>= 4:4.2.0),
 kdebase-workspace-dev (>= 4:4.2.0), libtag1-dev,
 pkg-config, libgeoip-dev, libgmp3-dev, libqca2-dev, libx11-dev, libboost-serialization1.40-dev
Build-Conflicts: libqt4-dev (= 4:4.5.2-1), libqt4-dev (= 4:4.5.2-2)
Standards-Version: 3.8.3
Homepage: http://ktorrent.org/
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary

Package: ktorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version})
Recommends: krosspython
Suggests: plasma-widget-ktorrent (= ${binary:Version})
Description: BitTorrent client based on the KDE platform
 This package contains KTorrent, a BitTorrent peer-to-peer network client, that
 is based on the KDE platform. Obviously, KTorrent supports such basic features
 as downloading, uploading and seeding files on the BitTorrent network.
 However, lots of other additional features and intuitive GUI should make
 KTorrent a good choice for everyone. Some features are available as plugins
 hence you should make sure you have the ones you need enabled.
   - Support for HTTP and UDP trackers, trackerless DHT (mainline) and webseeds.
   - Alternative UI support including Web interface and Plasma widget.
   - Torrent grouping, speed capping, various download prioritization
     capabilities on both torrent and file level as well as bandwidth
     scheduling.
   - Support for fetching torrent files from many sources including any local
     file or remote URL, RSS feeds (with filtering) or actively monitored
     directory etc.
   - Integrated and customizable torrent search on the Web.
   - Various security features like IP blocking and protocol encryption.
   - Disk space preallocation to reduce fragmentation.
   - uTorrent compatible peer exchange.
   - Autoconfiguration for LANs like Zeroconf extension and port forwarning via
     uPnP.
   - Scripting support via Kross and interprocess control via DBus interface.
   - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
   - Lots of other useful builtin features and plugins.

Package: ktorrent-data
Architecture: all
Depends: ${misc:Depends}
Recommends: ktorrent (>= ${source:Version})
Replaces: ktorrent (<< 3.2~beta1+svn902175)
Description: KTorrent data and other architecture independant files
 This package contains architecture independent data files for KTorrent,
 a BitTorrent peer-to-peer network client. Unless you have ktorrent package
 installed, you probably won't find this package useful.

Package: plasma-widget-ktorrent
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
Conflicts: plasma-applet-ktorrent
Description: KTorrent Plasma widget
 This package provides the KTorrent Plasma widget which features display of
 the current upload and download speeds and status of any single torrent which
 KTorrent knows about. Please note that KTorrent must be running for this
 widget to be able to display any up-to-date information.
 .
 This package contains KTorrent Plasma data engine as well.

Package: ktorrent-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ktorrent (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: KTorrent debugging symbols
 This package contains debugging symbols for KTorrent. When KTorrent crashes,
 in most cases this package is needed to get a backtrace that is useful for
 developers. If you have experienced KTorrent crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
include /usr/share/topgit/tg2quilt.mk
endif

include /usr/lib/kubuntu-desktop-i18n/debhelper/kubuntu.mk

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON \
	                           -DWITH_SYSTEM_GEOIP:BOOL=ON -DWITH_BUILTIN_COUNTRY_FLAGS:BOOL=OFF
%:
	dh --dbg-package=ktorrent-dbg --with kde $@

prune-tarball:
	# Remove non-free components: flags and geoip stuff
	rm -f plugins/infowidget/geoip/*.png
	rm -f plugins/infowidget/geoip/FLAGS_LICENCE
#	rm -f plugins/infowidget/geoip/geoip.dat
#	rm -f plugins/infowidget/geoip/GeoIP-LICENSE.txt
	rm -f plugins/infowidget/GeoIP.c
	rm -f plugins/infowidget/GeoIP.h
.PHONY: prune-tarball

## ktorrent 4.0.2

=== libktcore/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktcore.h.cmake ${CMAKE_BINARY_DIR}/config-ktcore.h)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(libktorrent_SRC 
	util/mmapfile.cpp
	util/itemselectionmodel.cpp
	util/stringcompletionmodel.cpp
	util/hintlineedit.cpp
	util/treefiltermodel.cpp
	
	interfaces/functions.cpp
	interfaces/plugin.cpp
	interfaces/guiinterface.cpp
	interfaces/coreinterface.cpp
	interfaces/prefpageinterface.cpp
	interfaces/activity.cpp
	interfaces/torrentactivityinterface.cpp
	
	torrent/queuemanager.cpp
	torrent/torrentfilemodel.cpp
	torrent/torrentfiletreemodel.cpp
	torrent/torrentfilelistmodel.cpp
	torrent/chunkbar.cpp 
	torrent/chunkbarrenderer.cpp
	
	groups/group.cpp
	groups/torrentgroup.cpp
	groups/allgroup.cpp
	groups/ungroupedgroup.cpp
	groups/groupmanager.cpp
	groups/functiongroup.cpp
	
	dbus/dbus.cpp
	dbus/dbustorrent.cpp
	dbus/dbusgroup.cpp
	dbus/dbussettings.cpp
	
	gui/centralwidget.cpp
	gui/activitybar.cpp
	gui/activitylistmodel.cpp
	gui/activitylistwidget.cpp
	gui/activitylistdelegate.cpp
	gui/tabbarwidget.cpp
	
	plugin/pluginmanager.cpp
	plugin/pluginactivity.cpp

	ktorrent.kcfg
)

# set(libktorrent_UI pluginmanagerwidget.ui )

kde4_add_ui_files(libktorrent_SRC ${libktorrent_UI})
kde4_add_kcfg_files(libktorrent_SRC settings.kcfgc)
kde4_add_library(ktcore SHARED ${libktorrent_SRC})

target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
set_target_properties(ktcore PROPERTIES VERSION 11.0.1 SOVERSION 11 )
install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== libktupnp/CMakeLists.txt ===

set(libktupnp_SRC httprequest.cpp soap.cpp upnpdescriptionparser.cpp upnpmcastsocket.cpp upnprouter.cpp)

kde4_add_library(ktupnp SHARED ${libktupnp_SRC})

target_link_libraries(
    ktupnp
    ktcore 
    ${LIBKTORRENT_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${QT_QTCORE_LIBRARY})
set_target_properties(ktupnp PROPERTIES VERSION 4.0.1 SOVERSION 4 )
install(TARGETS ktupnp  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== plugins/shutdown/CMakeLists.txt ===
set(KWORKSPACE_FOUND FALSE)
FIND_PATH(KWORKSPACE_INCLUDE_DIR NAMES kworkspace.h  PATHS ${KDE4_INCLUDE_DIR}/kworkspace ${INCLUDE_INSTALL_DIR}/kworkspace.h)
FIND_LIBRARY(KWORKSPACE_LIBRARY NAMES kworkspace PATHS ${KDE4_LIB_DIR} ${LIB_INSTALL_DIR})

if(KWORKSPACE_INCLUDE_DIR AND KWORKSPACE_LIBRARY)
	set(KWORKSPACE_FOUND TRUE)
	message(STATUS "Found libkworkspace: ${KWORKSPACE_LIBRARY} ")
	include_directories(${KWORKSPACE_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
	set(ktshutdownplugin_SRC shutdownruleset.cpp shutdowntorrentmodel.cpp shutdowndlg.cpp shutdownplugin.cpp)

	set(screensaver_xml ${KTORRENT_DBUS_XML_DIR}/org.freedesktop.ScreenSaver.xml)
	QT4_ADD_DBUS_INTERFACE(ktshutdownplugin_SRC ${screensaver_xml} screensaver_interface)
	kde4_add_ui_files(ktshutdownplugin_SRC shutdowndlg.ui)
	#kde4_add_kcfg_files(ktshutdownplugin_SRC logviewerpluginsettings.kcfgc)
	kde4_add_plugin(ktshutdownplugin ${ktshutdownplugin_SRC})
	
	target_link_libraries(
		ktshutdownplugin
		ktcore
		${LIBKTORRENT_LIBRARIES}
		solidcontrol
		kworkspace
		${KDE4_KPARTS_LIBS}
		)
	install(TARGETS ktshutdownplugin  DESTINATION ${PLUGIN_INSTALL_DIR} )
	install(FILES ktshutdownplugin.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
	install(FILES ktshutdownpluginui.rc DESTINATION ${DATA_INSTALL_DIR}/ktorrent )
endif(KWORKSPACE_INCLUDE_DIR AND KWORKSPACE_LIBRARY)
	
macro_log_feature(KWORKSPACE_FOUND "libkworkspace" "libkworkspace library and header files" "http://www.kde.org/" FALSE "" "libkworkspace is needed for shutdown plugin")

=== debian/changelog ===
ktorrent (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.2.
  * Bump Standards-Version to 3.9.0: add Breaks next to Replaces where needed.
  * No longer reference BSD from common-licenses in debian/copyright, replace
    it with copyright/license blob.
  * Fix indentation style in debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Thu, 08 Jul 2010 23:31:43 +0300

ktorrent (4.0.1-1) unstable; urgency=low

  * New upstream release:
    - Make sure that there are no uncaught exceptions (Closes: #585803).
  * Bump build dependency on libktorrent-dev to >= 1.0.1.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 01:38:47 +0300

ktorrent (4.0.0-1) unstable; urgency=low

  * New upstream release:
   - "Pause KTorrent" was renamed to avoid confusion (Closes: #536319);
   - Statistics are updated dynamically in the system tray (Closes: #526775);
   - Torrent state is updated even when it isn't started (Closes: #575878).
  * Fix spelling error in ktorrent-data description (Closes: #557893).
  * Add patch general/drop_excess_dependencies.diff - drop excess build
    dependency requirements from CMakeLists.txt, adjust required versions of Qt
    and KDE.
  * Changes for KTorrent split:
    - build depend on libktorrent-dev (>= 1.0.0);
    - remove libgmp3-dev, libqca2-dev from build depends;
    - drop libbtcore from ktorrent.install file;
    - replace libboost-serialization-dev with libboost-dev.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Add libktorrent-l10n to ktorrent Depends.
  * Add libktorrent-dbg to ktorrent-dbg Depends.
  * Drop topgit support from debian/rules.
  * Rewrite debian/README.source: no more topgit.
  * Drop all patches. They have been applied upstream.
  * Drop extra debian/copyright.* files. No longer used in the workflow.

 -- Modestas Vainius <modax@debian.org>  Fri, 28 May 2010 21:08:04 +0300

ktorrent (4.0~beta2-1) experimental; urgency=low

  * New upstream release.
  * Enable parallel building: pass --parallel option to dh.
  * Merge changes from debian 3.3.{3,4} packages.
  * Drop hunk 1 from the general/fix_target_link_libraries.diff patch - merged
    upstream.
  * Bump libqt4-dev build dependency to 4:4.6 - needed by plasmoid. As a
    result, drop Build-Conflicts with libqt4-dev 4:4.5.2.
  * Update install files.
  * Do not use asterisks in debian/NEWS.

 -- Modestas Vainius <modax@debian.org>  Mon, 05 Apr 2010 17:36:52 +0300

ktorrent (4.0~beta1-1) experimental; urgency=low

  * New upstream development release.
  * DFSG offensive files removed upstream, using vanilla tarball from now on:
    - drop prune-nonfree target from debian/rules;
    - no longer pass -DWITH_BUILTIN_COUNTRY_FLAGS:BOOL=OFF to cmake.
  * Update install files.
  * Adapt general/fix_target_link_libraries.diff to upstream changes.
  * Skip test suite.

 -- Modestas Vainius <modax@debian.org>  Mon, 28 Dec 2009 14:51:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
- kdelibs5-dev (>= 4:4.2.0), libphonon-dev (>= 4:4.3.0), kdepimlibs5-dev (>= 4:4.2.0),
- kdebase-workspace-dev (>= 4:4.2.0), libtag1-dev,
- pkg-config, libgeoip-dev, libgmp3-dev, libqca2-dev, libx11-dev, libboost-serialization1.40-dev
-Build-Conflicts: libqt4-dev (= 4:4.5.2-1), libqt4-dev (= 4:4.5.2-2)
-Standards-Version: 3.8.3
+ libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
+ kdepimlibs5-dev (>= 4:4.4), libboost-dev,
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.2),
+ libtag1-dev, libgeoip-dev, libx11-dev
+Standards-Version: 3.9.0
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
 
 Package: ktorrent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version})
-Recommends: krosspython
+Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
+ libktorrent-l10n
 Suggests: plasma-widget-ktorrent (= ${binary:Version})
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
@@ -38,18 +37,19 @@
    - Various security features like IP blocking and protocol encryption.
    - Disk space preallocation to reduce fragmentation.
    - uTorrent compatible peer exchange.
-   - Autoconfiguration for LANs like Zeroconf extension and port forwarning via
+   - Autoconfiguration for LANs like Zeroconf extension and port forwarding via
      uPnP.
    - Scripting support via Kross and interprocess control via DBus interface.
    - SOCKSv4 and SOCKSv5 proxy, IPv6 support.
-   - Lots of other useful builtin features and plugins.
+   - Lots of other useful built-in features and plugins.
 
 Package: ktorrent-data
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: ktorrent (>= ${source:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn902175)
-Description: KTorrent data and other architecture independant files
+Breaks: ktorrent (<< 3.2~beta1+svn902175)
+Description: KTorrent data and other architecture independent files
  This package contains architecture independent data files for KTorrent,
  a BitTorrent peer-to-peer network client. Unless you have ktorrent package
  installed, you probably won't find this package useful.
@@ -59,6 +59,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
+Breaks: ktorrent (<< 3.2~beta1+svn898132)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of
@@ -72,11 +73,11 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, ktorrent (= ${binary:Version})
+Depends: ${misc:Depends}, ktorrent (= ${binary:Version}), libktorrent-dbg
 Recommends: kdelibs5-dbg
 Description: KTorrent debugging symbols
  This package contains debugging symbols for KTorrent. When KTorrent crashes,
  in most cases this package is needed to get a backtrace that is useful for
  developers. If you have experienced KTorrent crash without this package
- installed, please install it, try to reproduce the problem and fill a bug
+ installed, please install it, try to reproduce the problem and file a bug
  report with a new backtrace attached.

## ktorrent 4.0.3

=== libktcore/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,6 @@
 kde4_add_library(ktcore SHARED ${libktorrent_SRC})
 
 target_link_libraries(ktcore ${QT_QT3SUPPORT_LIBRARY} ${KDE4_KPARTS_LIBS} ${KDE4_KUTILS_LIBS} ${LIBKTORRENT_LIBRARIES} ${KDE4_SOLID_LIBS} ${GMP_LIBRARIES})
-set_target_properties(ktcore PROPERTIES VERSION 11.0.1 SOVERSION 11 )
+set_target_properties(ktcore PROPERTIES VERSION 11.0.2 SOVERSION 11 )
 install(TARGETS ktcore  ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
ktorrent (4.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
    - Bump libktorrent-dev build dependency to 1.0.3

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:12:03 +0200

ktorrent (4.0.2-1ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 16:58:55 +0100

ktorrent (4.0.2-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes
    - ktorrent recommends krosspython
    - kept Replaces and Conflicts on plasma-applet-ktorrent

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 19 Jul 2010 11:49:12 +0200

ktorrent (4.0.1-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining change:
    - ktorrent recommends krosspython

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 16 Jun 2010 20:18:28 +0200

ktorrent (4.0.0-1ubuntu2) maverick; urgency=low

  * Rebuild for libsolidcontrol4 -> libsolidcontrol4a transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 12 Jun 2010 04:06:20 +0200

ktorrent (4.0.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining change:
    - Keep recommends on krosspython

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 30 May 2010 13:37:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ktorrent
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
  kdepimlibs5-dev (>= 4:4.4), libboost-dev,
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.2),
+ kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.3),
  libtag1-dev, libgeoip-dev, libx11-dev
 Standards-Version: 3.9.0
 Homepage: http://ktorrent.org/
@@ -17,6 +18,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent-data (= ${source:Version}),
  libktorrent-l10n
+Recommends: krosspython
 Suggests: plasma-widget-ktorrent (= ${binary:Version})
 Description: BitTorrent client based on the KDE platform
  This package contains KTorrent, a BitTorrent peer-to-peer network client, that
@@ -59,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
-Breaks: ktorrent (<< 3.2~beta1+svn898132)
+Breaks: ktorrent (<< 3.2~beta1+svn902175)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of

## ktorrent 4.0.5

=== debian/changelog ===
ktorrent (4.0.5-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #716639)
    - debian/control:
      + ktorrent recommends krosspython
      + Build against libboost1.42-dev
      + Bump Build-Depends on kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3)
        for transition libtaskmanager4a -> libtaskmanager4b
      + Update other Build-Depends
    - debian/rules:
      + Add export KUBUNTU_DESKTOP_POT=extragear-network_ktorrent
  * Drop debian-changes-4.0.4-0ubuntu3, merged upstream

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 05 Feb 2011 22:15:18 +0100

ktorrent (4.0.5-3) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 Feb 2011 00:40:46 +0200

ktorrent (4.0.5-2) experimental; urgency=low

  * Reupload because previous upload was screwed.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:32:26 +0200

ktorrent (4.0.5-1) experimental; urgency=low

  * New upstream release.
  * Require libktorrent 1.0.5.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:16:35 +0200

ktorrent (4.0.4-1) experimental; urgency=low

  * New upstream release.
  * Bump libktorrent-dev build dependency to 1.0.4.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 14:52:03 +0300

ktorrent (4.0.4-0ubuntu3) natty; urgency=low

  * Make sure ktorrent compiles and works with new solid powermanagement API
    introduced in KDE 4.6beta2 (4.5.85)
    - Cherry pick from ktorrent git: 34b12bc53bf5826318623f6ae72c238eac5fc886    

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Dec 2010 09:16:32 -0500

ktorrent (4.0.4-0ubuntu2) natty; urgency=low

  * Rebuild against kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3) for
    libtaskmanager4a -> libtaskmanager4b

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 24 Oct 2010 06:40:28 +0200

ktorrent (4.0.4-0ubuntu1) natty; urgency=low

  * New upstream release
    - Bump build-dependencies
    - Build against libktorrent-dev 1.0.4
    - Build against libboost1.42-dev

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 23:59:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake (>= 2.6.2), debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4:4.6), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.3),
- kdepimlibs5-dev (>= 4:4.4), libboost-dev,
- kdebase-workspace-dev (>= 4:4.4), libktorrent-dev (>= 1.0.3),
+ libqt4-dev (>= 4:4.7.0), kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.7.0really4.4.2),
+ kdepimlibs5-dev (>= 4:4.5), libboost1.42-dev,
+ kdebase-workspace-dev (>= 4:4.5.2-0ubuntu3), libktorrent-dev (>= 1.0.5),
  libtag1-dev, libgeoip-dev, libx11-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/ktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/ktorrent.git;a=summary
@@ -61,7 +61,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ktorrent (= ${binary:Version})
 Replaces: ktorrent (<< 3.2~beta1+svn898132), plasma-applet-ktorrent
-Breaks: ktorrent (<< 3.2~beta1+svn902175)
+Breaks: ktorrent (<< 3.2~beta1+svn898132)
 Conflicts: plasma-applet-ktorrent
 Description: KTorrent Plasma widget
  This package provides the KTorrent Plasma widget which features display of
